//********************************************************************
// File ConsoleAppSupport.h
//********************************************************************
// Copyright @2012 by Stan Sykora and Extra Byte.
#ifndef _ConsoleAppSupport_h_
#define _ConsoleAppSupport_h_

#include "EbFile.h"
#include <conio.h>
#include <iostream.h>

extern char Buffer[];
extern cEbFile aFile;
extern cEbFile bFile;

//********************************************************************
// Console utilities
//********************************************************************

typedef struct {
  LPCSTR String;
  RETERR (*Function)();
} CONSOLE_MENU_ITEM;

void   ClearScrean();
void   WelcomeHeader(LPSTR title,
       LPSTR cmnt0="Freeware by Stan Sykora (Extra Byte, www.ebyte.it)",
       LPSTR cmnt1="you may use totally under your own responsability.",
       LPSTR cmnt2=NULL,LPSTR cmnt3=NULL);

RETERR Menu(CONSOLE_MENU_ITEM* menuitems);
DWORD  FindMenuItem(char ch,CONSOLE_MENU_ITEM* menuitems);

void   CPrint(LPCSTR bfr=Buffer,
                LPCSTR str1=NULL,LPCSTR str2=NULL,LPCSTR str3=NULL);
void   CLPrint(LPCSTR bfr=Buffer,
                LPCSTR str1=NULL,LPCSTR str2=NULL,LPCSTR str3=NULL);
void   CPrintL(LPCSTR bfr=Buffer,
                LPCSTR str1=NULL,LPCSTR str2=NULL,LPCSTR str3=NULL);
void   CLPrintL(LPCSTR bfr=Buffer,
                LPCSTR str1=NULL,LPCSTR str2=NULL,LPCSTR str3=NULL);

LONG   CGetLong(LPCSTR prompt);
REAL   CGetReal(LPCSTR prompt);

//********************************************************************
// File handling
//********************************************************************

RETERR OpenConsoleFilesAB(cEbFile* afile,cEbFile* bfile = NULL);


//--------------------------------------------------------------------
#endif



